Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
replace_if.hpp File Reference

## Functions
template<typename I , typename S , typename C , typename T , typename P = identity>
I | ranges::replace_if (I first, S last, C pred, T const &new_value, P proj=P{})
| function template `replace_if` More...
template<typename Rng , typename C , typename T , typename P = identity>
borrowed_iterator_t< Rng > | ranges::replace_if (Rng &&rng, C pred, T const &new_value, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...